condenser_api.get_order_book
Purpose
Returns the internal market order book. Parameters: limit:int up to 500
limit (int) | |
|---|---|
10 | Queries up to 10 items in the order book. |
500 | Queries up to 500 items in the order book. |
Also see: database_api.get_order_book, market_history_api.get_order_book
Parameters
PARAMETERS
json
[
0
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_order_book",
"params": [
10
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_order_book",
"params": [
50
],
"id": 1
}'Response
RESPONSE
json
{
"bids": [],
"asks": []
}